import { withInstall, withNoopInstall } from "../../utils/vue/install.mjs";
import dropdown_default from "./src/dropdown2.mjs";
import dropdown_item_default from "./src/dropdown-item.mjs";
import dropdown_menu_default from "./src/dropdown-menu.mjs";
const ElDropdown = withInstall(dropdown_default, {
  DropdownItem: dropdown_item_default,
  DropdownMenu: dropdown_menu_default
});
const ElDropdownItem = withNoopInstall(dropdown_item_default);
const ElDropdownMenu = withNoopInstall(dropdown_menu_default);
export {
  ElDropdown,
  ElDropdownItem,
  ElDropdownMenu,
  ElDropdown as default
};
